package de.intevation.flys.client.shared.model;

import com.smartgwt.client.widgets.grid.ListGridRecord;

/**
 * ListGridRecord for Facets.
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class FacetRecord extends ListGridRecord {

    /** Underlying theme. */
    protected Theme theme;


    public FacetRecord(Theme theme) {
        this.theme = theme;

        setActive(theme.getActive() == 1);
        setName(theme.getDescription());
    }


    public Theme getTheme() {
        return theme;
    }


    public void setName(String description) {
        // TODO Add a setter method setName() to Facet
        // facet.setName(name);
        setAttribute("name", description);
    }


    public String getName() {
        return getAttribute("name");
    }


    public boolean getActive() {
        return getAttributeAsBoolean("active");
    }


    public void setActive(boolean active) {
        setAttribute("active", active);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
